Skip to main content
GET
/
api
/
v1
/
policies
List policies
curl --request GET \
  --url https://api.accessowl.com/api/v1/policies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "application_ids": [
        "8599b757-f42a-22f5-bbdf-711419071781"
      ],
      "default_policy": false,
      "elevated": false,
      "id": "7488a646-e31f-11e4-aace-600308960670",
      "inserted_at": "2023-01-01T00:00:00Z",
      "lock_version": 1,
      "title": "Engineering manager approval",
      "updated_at": "2023-01-01T00:00:00Z"
    }
  ],
  "meta": {
    "page": 1,
    "page_size": 20,
    "total_count": 100,
    "total_pages": 5
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.

Query Parameters

limit
integer

Maximum results to return (default: 20, max: 100)

cursor
string

Opaque cursor returned in the previous response's meta.next_cursor. Omit for the first page.

Response

Policy list

Paginated list of policies

data
Policy · object[]
required

List of policies

meta
PaginationMeta · object
required

Pagination metadata

Example:
{
"page": 1,
"page_size": 20,
"total_count": 100,
"total_pages": 5
}